Public Member Functions | Data Fields

# Hotkey< T >::CallbackWrapper Struct Reference

A wrapper around the callback function. More...

`#include <hotkeys.h>`

## Public Member Functions
| CallbackWrapper (hotkey_callback callback)
## Data Fields
hotkey_callback | callback

## Detailed Description

### template<class T>
struct Hotkey< T >::CallbackWrapper

A wrapper around the callback function.

This wrapper is needed because the size of a pointer to a member function depends on the class definition. The possible solutions are to either wrap the callback pointer in a class and dynamically allocate memory for it like we do now or making all class definitions available in hotkeys.cpp.

Definition at line 33 of file hotkeys.h.

The documentation for this struct was generated from the following file:

- src/hotkeys.h